DMAPI(3)

NAME
dmapi - DMAPI library

SYNOPSIS
#include <xfs/dmapi.h>

cc ... -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -ldm

DESCRIPTION
DMAPI, or XDSM, is an implementation of the X/Open document: Systems Management: Data Storage Management (XDSM) API dated February 1997. This interface is made available for the XFS filesystem by means of the libdm library.

See the XDSM manual at http://www.opengroup.org/onlinepubs/9657099/toc.htm for a description of the functions offered by libdm library.

For more information and details on how to contribute to the XFS project see the web pages at: http://oss.sgi.com/projects/xfs/